Bug 53774 - LPRng/printconf doesn't work - ImportError: No module named utils
LPRng/printconf doesn't work - ImportError: No module named utils
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: LPRng (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-18 06:35 EDT by martin.macok
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-11 10:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description martin.macok 2001-09-18 06:35:12 EDT
Description of Problem:
Printing doesn't work, LPRng doesn't start and printconf doesn't work.

LPRng/lpd doesn't start:
# /etc/rc.d/init.d/lpd start
lpd: Traceback (most recent call last):
  File "/usr/sbin/printconf-backend", line 7, in ?
    import printconf_backend
  File "/usr/share/printconf/util/printconf_backend.py", line 28, in ?
    from printconf_conf import *
  File "/usr/share/printconf/util/printconf_conf.py", line 81, in ?
    from xml.utils import qp_xml
ImportError: No module named utils
No printers configured

# printconf-gui
# printconf-gui
Traceback (most recent call last):
  File "/usr/sbin/printconf-gui", line 7, in ?
    import printconf_gui
  File "/usr/share/printconf/util/printconf_gui.py", line 40, in ?
    from printconf_conf import *
  File "/usr/share/printconf/util/printconf_conf.py", line 81, in ?
    from xml.utils import qp_xml
ImportError: No module named utils

same with printconf-tui

Version-Release number of selected component (if applicable):
LPRng-3.7.4-28
python-devel-2.2-0.3a3
pythonlib-1.28-1
python-tools-2.2-0.3a3
python-xmlrpc-1.5.0-1
python-2.2-0.3a3

How Reproducible:
Start LPRng or try to configure it with printconf-gui.

Additional Information:
My system is fresh upgrade from 14 days old rawhide (where lprng/printconf
worked well) to current rawhide. I upgraded WITHOUT any rpm --nodeps etc. -
it was a clean upgrade (if dependencies are involved here).
Comment 1 Crutcher Dunnavant 2001-10-11 10:49:05 EDT
upgrade PyXML, and try again.
Comment 2 Crutcher Dunnavant 2001-11-26 12:21:02 EST
no feedback.

Note You need to log in before you can comment on or make changes to this bug.